LibreOffice LibreOffice 5.3 SDK API Reference

Public Attributes | List of all members
DataPilotFieldSortInfo Struct Referencepublished

describes how to sort a single DataPilotField More...

`import"DataPilotFieldSortInfo.idl";`

## Public Attributes
string | Field
| contains the data field to sort by if the Mode is DATA More...
boolean | IsAscending
| `TRUE` if data are sorted in ascending order, `FALSE` if in descending order. More...
long | Mode
| contains the sort mode More...

## Detailed Description

describes how to sort a single DataPilotField

## Member Data Documentation

## ◆ Field

string Field

contains the data field to sort by if the Mode is DATA

## ◆ IsAscending

boolean IsAscending

`TRUE` if data are sorted in ascending order, `FALSE` if in descending order.

## ◆ Mode

long Mode

contains the sort mode

See also
  com::sun::star::sheet::DataPilotFieldSortMode

The documentation for this struct was generated from the following file:

- com/sun/star/sheet/DataPilotFieldSortInfo.idl